<template>
  <div v-if="options.length > 0" class="mh-radio-group">
    <label
      v-for="(option, index) in options"
      :key="index"
      class="mh-radio-group__label"
    >
      <input
        type="radio"
        :name="name"
        :value="option.value"
        :checked="value === option.value"
        @input="$emit('input', option.value)"
      />
      <span>
        {{ option.label }}
      </span>
    </label>
  </div>
</template>

<script>
export default {
  name: 'DgRadioGroup',

  props: {
    options: {
      type: Array,
      default: () => []
    },

    name: {
      type: String,
      required: true
    },

    value: {
      type: [String, Number],
      default: ''
    }
  }
}
</script>

<style lang="scss" scoped>
.mh-radio-group {
  display: flex;
  gap: 15px;

  &__label {
    display: flex;
    align-items: baseline;
    gap: 5px;
    cursor: pointer;
  }

  input {
    display: none;
  }

  input:checked ~ span {
    font-weight: 800;
  }
}
</style>
